﻿/*
 * Generate_Beep.h
 *
 *  Created on: 2024/12/22
 *      Author: egaono-electronics
 */

#ifndef GENERATE_BEEP_H_
#define GENERATE_BEEP_H_

#include "Dev_Conf.h"

#include def_Header_HAL



//--------------------------------------------------
// Beepに使用するPWMの初期化
//--------------------------------------------------
// 引数:
//    なし


// 戻り値:
//    なし
//--------------------------------------------------
void Initialize_Beep_PWM(void);



//----------------------------------------------------------
// Beepを発生する。
//----------------------------------------------------------
// 引数;
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ

// int16_t int16_Time_Beep : Beepを発生する時間


// 戻り値;
//   -1 : 処理中
//    0 : OK終了
//    1 : NG終了
//----------------------------------------------------------
int16_t Generate_Beep(uint8_t *puint8_JobNum,
                    int16_t int16_Time_Beep);



//----------------------------------------------------------
// Beepを指定回数、発生する。
//----------------------------------------------------------
// 引数;
// uint8_t *puint8_JobNum : 処理番号を格納する変数のポインタ

// int16_t int16_Times  : Beepを発生する回数
// int16_t int16_Time_Beep : Beepを発生する時間


// 戻り値;
//   -1 : 処理中
//    0 : OK終了
//    1 : NG終了
//----------------------------------------------------------
int16_t Beep_Repeat(uint8_t *puint8_JobNum,
                    int16_t int16_Times,
                    int16_t int16_Time_Beep);



// TIM Time Base Handle構造体の宣言
extern TIM_HandleTypeDef  GLB_struct_TIM_Handle_Beep_PWM;


#endif /* GENERATE_BEEP_H_ */
